templates:
- github
- maven-sonarqube
- base

variables:
  description: SCXML statemachines for the Bielefeld Sensor Actuator Interface.

  branches:
  - master

  github.user: CentralLabFacilities
  github.project: bonsai

  sub-directory: bonsai_scxml_engine
  git.wipe-out-workspace?: false

  platform-requires:
    ubuntu:
      xenial:
        packages:
        - openjfx

  maven.properties:
  - '@{next-value|[]}'
  - assembleDirectory=${toolkit.dir}/opt/${project-name}

  maven.targets:
  - '@{next-value|[]}'
  - appassembler:assemble
